/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 /* $Id: draw.h,v 1.2 2002/10/03 21:51:01 dolphy Exp $ */

#ifndef DRAW_H
#define DRAW_H

typedef struct im_node { /* Chained list containing images */
	GdkPixbuf * image; /* Pixbuf */
	guint angle; /* Angle on a circle menu */
	guint xpos; /* X position */
	guint ypos; /* Y position */
	guint width; /* Image width */
	guint height; /* Image height */
	guint alpha_level; /* Alpha level of image */
	gdouble zoom_ratio; /* Image zoom ratio */
	gdouble init_zoom_ratio; /* Image initial zoom ratio */
	gboolean visible; /* Flag defining if image is visible or not */
	gboolean selected; /* Flag defining if image has been selected */
	struct im_node * next_image; /* Pointer to next parameter */
} image_node;

/* Our global images list */

extern image_node * images_list;

gint draw_images (void);

gint add_image_at_the_end (image_node * new_image);

gint dump_images_list (void);

#endif
