/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/* $Id: getcontrol.h,v 1.6 2002/10/04 11:36:20 dolphy Exp $ */

#ifndef GETCONTROL_H
#define GETCONTROL_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <math.h>

#include <gnome.h>
#include <libgnomeui/gnome-window-icon.h>
#include <gconf/gconf-client.h>

#include <gdk-pixbuf/gdk-pixbuf.h>

#include "interface.h"
#include "callbacks.h"
#include "draw.h"
#include "menu.h"

/* Background jpeg image name (relative path) */

#define BACKGROUND_NAME "pixmaps/background.jpg"

/* Delay between frames when animating */

#define MAIN_MENU_FRAME_DELAY 25

#define SELECTED_MENU_FRAME_DELAY 25

#define SCREEN_SAVER_FRAME_DELAY 25

/* Delay before saving screen */

#define SCREEN_SAVER_DELAY 10000

/* Delay before selecting menu */ 

#define SELECT_MENU_DELAY 2000

/* Offset for placing the first pixbuf at midgnight */

#define ANG_OFFSET 90

/* Offset of each frame's rotation in degrees */

#define ROT_OFFSET 5

/* Offset of each move to go to central place */

#define MOVE_OFFSET 10

/* Maximum alpha reduction */

#define ALPHA_THRESOLD 150

/* Minimum distance between central menu and others */

#define BORDER_THRESOLD 20

#endif
